CC = cl
CFLAGS = -Os -DSUPPORT_YMAMP20B_EZPK -GX
LK = cl
LFLAGS = zlib.lib setargv.obj

TARGET = gym_ezpk.exe
OBJS = gym_ezpk.obj blocksort.obj bzlib.obj compress.obj crctable.obj decompress.obj huffman.obj randtable.obj

$(TARGET) : $(OBJS)
	$(LK) $(LFLAGS) -Fe$@ $**

gym_ezpk.obj : gym_ezpk.cpp
	$(CC) $(CFLAGS) -c -Fo$@ $**

blocksort.obj : ..\blocksort.c
	$(CC) $(CFLAGS) -c -Fo$@ $**

bzlib.obj : ..\bzlib.c
	$(CC) $(CFLAGS) -c -Fo$@ $**

compress.obj : ..\compress.c
	$(CC) $(CFLAGS) -c -Fo$@ $**

crctable.obj : ..\crctable.c
	$(CC) $(CFLAGS) -c -Fo$@ $**

decompress.obj : ..\decompress.c
	$(CC) $(CFLAGS) -c -Fo$@ $**

huffman.obj : ..\huffman.c
	$(CC) $(CFLAGS) -c -Fo$@ $**

randtable.obj : ..\randtable.c
	$(CC) $(CFLAGS) -c -Fo$@ $**

clean:
	rm -f $(OBJS) $(TARGET)
